package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.List;
import com.ruoyi.system.api.domain.SysDept;

public interface SysDeptMapper
{
    List<SysDept> selectDeptList(final SysDept p0);
    
    List<Long> selectDeptListByRoleId(@Param("roleId") final Long p0, @Param("deptCheckStrictly") final boolean p1);
    
    SysDept selectDeptById(final Long p0);
    
    List<SysDept> selectChildrenDeptById(final Long p0);
    
    int selectNormalChildrenDeptById(final Long p0);
    
    int hasChildByDeptId(final Long p0);
    
    int checkDeptExistUser(final Long p0);
    
    SysDept checkDeptNameUnique(@Param("deptName") final String p0, @Param("parentId") final Long p1);
    
    int insertDept(final SysDept p0);
    
    int updateDept(final SysDept p0);
    
    void updateDeptStatusNormal(final Long[] p0);
    
    int updateDeptChildren(@Param("depts") final List<SysDept> p0);
    
    int deleteDeptById(final Long p0);
}
